package com.nisum.splitmerchantpayment.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Embeddable
/**
 * This is Size class which has
 * all setters and getters
 * constructors
 * toString methods by single lombok annotation
 */
public class Size {
    @NotNull
    private Integer s, m, l, xl, xxl;
}
