package com.nisum.splitmerchantpayment.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalTime;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrderDto {
    private String orderId;
    private String customerName;
    private String phoneNumber;
    private Double bill;
    private LocalDate orderDate;
    private LocalTime orderTime;
    private List<OrderedProductDto> productDtoList;
}