package com.nisum.splitmerchantpayment.model;

import com.nisum.splitmerchantpayment.entity.Size;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ProductDto {
    private String productId;

    private Integer productName;

    private Integer brand;

    private Integer category;

    private String idealFor;

    private Double price;

    private Size size;

    private Boolean isActive;

    private String vendorAccount;

    private Double platformCharge;
}
