package com.nisum.splitmerchantpayment.utils;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.UUID;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
@Component
public class IDGeneratorUtility {

    public String orderIdGenerator() {
        return "order#" + UUID.randomUUID().toString().split("-")[0];
    }

    public String productIdGenerator() {
        return "prod#" + UUID.randomUUID().toString().split("-")[2];
    }


}
