package com.nisum.splitmerchantpayment.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.razorpay.RazorpayClient;
import com.razorpay.RazorpayException;

@Configuration
public class BeanConfiguration {
    @Value("${razorpay.key.id}")
    public String keyId;

    @Value("${razorpay.key.secret}")
    public String keySecret;

    @Bean
    public RazorpayClient createRazorpayClient() throws RazorpayException {
        return new RazorpayClient(keyId, keySecret, true);
    }
}
