package com.nisum.splitmerchantpayment.repository;

import com.nisum.splitmerchantpayment.entity.CartProduct;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface CartProductRepository extends JpaRepository<CartProduct, Long> {
    public List<CartProduct> findAllByCustomerPhoneNumber(String phoneNumber);

    public void deleteAllByCustomerPhoneNumber(String phoneNumber);
}
